<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 *
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

/**
 * JRoomBooking component helper.
 *
 * @param   string  $submenu  The name of the active view.
 * @return  void
 * @since   1.0.0
 */
abstract class JRoomBookingHelper
{
    public static function addSubmenu($submenu)
    {
        JHtmlSidebar::addEntry(
            JText::_('COM_JROOMBOOKING_SUBMENU_ROOMS'),
            'index.php?option=com_jroombooking&view=rooms',
            $submenu == 'rooms'
        );

        JHtmlSidebar::addEntry(
            JText::_('COM_JROOMBOOKING_SUBMENU_RESERVATIONS'),
            'index.php?option=com_jroombooking&view=reservations',
            $submenu == 'reservations'
        );

        

        // set some global property
        $document = JFactory::getDocument();
        if ($submenu == 'reservations')
        {
            $document->setTitle(JText::_('COM_JROOMBOOKING_ADMINISTRATION_RESERVATIONS'));
        }
    }

    /**
     * Get the actions
     *
     * @since 1.0.O
     */
    public static function getActions()
    {
        $result	= new JObject;

        $assetName = 'com_jroombooking';


        $actions = JAccess::getActionsFromFile(JPATH_ADMINISTRATOR . '/components/com_jroombooking/access.xml');

        foreach ($actions as $action) {
            $result->set($action->name, JFactory::getUser()->authorise($action->name, $assetName));
        }

        return $result;
    }
}