<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 *
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

JFormHelper::loadFieldClass('list');

class JFormFieldRoomsList extends JFormFieldList {

    //The field class must know its own type through the variable $type.
    protected $type = 'roomslist';

    /**
     * Fiedd to decide if options are being loaded externally and from xml
     *
     * @var     integer
     * @since   1.0.0
     */
    protected $loadExternally = 0;

    public function getOptions() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select(array($db->qn('a.id'), $db->qn('a.name')))
            ->from($db->qn('#__jroombooking_rooms') . ' AS a')
            ->order($db->qn('a.name') . ' ASC');
        $db->setQuery($query);
        $rows = null;
        try {
            $rows = $db->loadObjectList();
        } catch (RuntimeException $e) {
            JFactory::getApplication()->enqueueMessage($e->getMessage(), 'error');
        }

        $options = array();

        foreach ($rows as $row) {
            $options[] =  JHtml::_('select.option', $row->id, $row->name . ' (id: '. $row->id .')');
        }

        if (!$this->loadExternally)
        {
            // Merge any additional options in the XML definition.
            $options = array_merge(parent::getOptions(), $options);
        }

        return $options;
    }

    public function getOptionsExternally()
    {
        $this->loadExternally = 1;

        return $this->getOptions();
    }
}