
IF OBJECT_ID('#__jroombooking', 'U') IS NOT NULL
  DROP TABLE [#__jroombooking];

SET QUOTED_IDENTIFIER ON;
CREATE TABLE [#__jroombooking](
  [id] [int] IDENTITY(1,1) NOT NULL,
  [params] [NVARCHAR](1024) NOT NULL DEFAULT '',
 CONSTRAINT [PK_#__jroombooking_id] PRIMARY KEY CLUSTERED
   (
     [id] ASC
   ) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY];

IF OBJECT_ID('#__jroombooking_rooms', 'U') IS NOT NULL
  DROP TABLE [#__jroombooking_rooms];

SET QUOTED_IDENTIFIER ON;
CREATE TABLE [#__jroombooking_rooms] (
  [id] [int] IDENTITY(1,1) NOT NULL,
  [name] [NVARCHAR](100) NOT NULL,
  [description] [NVARCHAR](MAX),
  [photo] [NVARCHAR](255),
  [max_capacity] [TINYINT] NOT NULL DEFAULT 0,
  [published] [SMALLINT] NOT NULL DEFAULT 0,
 CONSTRAINT [PK_#__jroombooking_rooms_id] PRIMARY KEY CLUSTERED
   (
      [id] ASC
   ) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS =ON) ON [PRIMARY]
) ON [PRIMARY]

IF OBJECT_ID('#__jroombooking_reservations', 'U') IS NOT NULL
  DROP TABLE [#__jroombooking_reservations];

SET QUOTED_IDENTIFIER ON;
CREATE TABLE [#__jroombooking_reservations] (
  [id] [INT] IDENTITY(1,1) NOT NULL,
	[room_id] [INT] NOT NULL,
  [date_created] [DATETIME2] DEFAULT '1970-01-01 00:00:00',
  [date_modified] [DATETIME] DEFAULT '1970-01-01 00:00:00',
  [start_date] [DATE] NOT NULL,
  [end_date] [DATE] NOT NULL,
  [capacity] [TINYINT] NOT NULL,
  [firstname] [NVARCHAR](50) NOT NULL,
  [surname] [NVARCHAR](50) NOT NULL,
  [email] [NVARCHAR](100) NOT NULL,
  [phone] [NVARCHAR](20) NOT NULL,
  [note] [NVARCHAR](MAX),
	[language] [NVARCHAR](15),
	[date_approved_modified] [DATETIME2] DEFAULT '1970-01-01 00:00:00',
	[approved] [BIT] NOT NULL DEFAULT 0,
  CONSTRAINT [PK_#__jroombooking_reservations_id] PRIMARY KEY CLUSTERED
    (
      [id] ASC
    ) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS =ON) ON [PRIMARY]
) ON [PRIMARY]


-- SET IDENTITY_INSERT [#__jroombooking_reservations] ON;
INSERT INTO [#__jroombooking_reservations] (room_id, start_date, end_date, capacity, firstname, surname, email, phone, date_created, approved, date_approved_modified, date_modified)
  SELECT 1, '2016-11-5', '2016-11-10', 1, 'Miloslav', 'Schmied', 'loremipsum@loremipsum.lorem', '+420123456789', GETDATE(), 1, GETDATE(), GETDATE()
  UNION ALL
  SELECT 2, '2016-12-7', '2016-12-11', 2, 'Miloslav', 'Schmied', 'loremipsum@loremipsum.lorem', '+420123456789', GETDATE(), 0, GETDATE(), GETDATE()
  UNION ALL
  SELECT 2, '2016-9-15', '2016-9-18', 3, 'Miloslav', 'Schmied', 'loremipsum@loremipsum.lorem', '+420123456789', GETDATE(), 0, GETDATE(), GETDATE()
-- SET IDENTITY_INSERT [#__jroombooking_reservations] OFF;

-- SET IDENTITY_INSERT [#__jroombooking_rooms] ON;
INSERT INTO [#__jroombooking_rooms] (name, published)
	SELECT 'Lorem ipsum #01', 1
  UNION ALL
  SELECT 'Lorem ipsum #02', 1
  UNION ALL
  SELECT 'Lorem ipsum #03', 0
-- SET IDENTITY_INSERT [#__jroombooking_rooms] OFF;

UPDATE [#__jroombooking_rooms] SET photo='images/com_jroombooking/room_photos/room.jpg';

UPDATE [#__jroombooking_rooms] SET max_capacity=(FLOOR( 3 + RAND( ) *10 ));
UPDATE [#__jroombooking_rooms] SET description='Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Mauris tincidunt sem sed arcu. Duis viverra diam non justo. Aliquam erat volutpat. Fusce suscipit libero eget elit. Temporibus autem quibusdam et aut officiis debitis aut rerum necessitatibus saepe eveniet ut et voluptates repudiandae sint et molestiae non recusandae.';