<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 *
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * JRoomBooking Table class
 *
 * @since  1.0.0
 */
class JRoomBookingTableJRoomBooking extends JTable
{
    /**
     * Constructor
     *
     * @param   JDatabaseDriver  &$db  A database connector object
     * @since 1.0.0
     */
    function __construct(&$db)
    {
        parent::__construct('#__jroombooking', 'id', $db);
    }

    /**
     * Overloaded bind function
     *
     * @param array $array named array
     * @return null|string null is operation was satisfactory, otherwise returns an error
     * @see JTable:bind
     * @since 1.0.0
     */
    public function bind($array, $ignore = '')
    {
        if (isset($array['params']) && is_array($array['params']))
        {
            // Convert the params field to a string.
            $parameter = new JRegistry;
            $parameter->loadArray($array['params']);
            $array['params'] = (string)$parameter;
        }
        return parent::bind($array, $ignore);
    }

    /**
     * Overloaded load function
     *
     * @param int $pk primary key
     * @param boolean $reset reset data
     * @return boolean
     * @see JTable:load
     * @since 1.0.0
     */
    public function load($pk = null, $reset = true)
    {
        if (parent::load($pk, $reset))
        {
            // Convert the params field to a registry.
            $params = new JRegistry;
            $params->loadString($this->params, 'JSON');

            $this->params = $params;
            return true;
        }
        else
        {
            return false;
        }
    }
}