<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

?>

<section class="com_jroombooking">
  <?php
  $params = $this->params;

  //nadpis
  if($params->get('show_heading', 1))
  {
    echo '<h1 class="jrb-heading__h1">' . $this->headingText . '</h1>';
  }
  //popis
  if($params->get('show_description', 0))
  {
    echo '<p class="jrb-description">' . $this->descriptionText . '</p>';
  }
  //foto
  if($params->get('show_photo', 1))
  {
    echo '<figure class="jrb-description__image-wrapper">';
    echo '<img class="jrb-description__image" src="' . $this->introPhoto . '" alt="' . JText::_('COM_JROOMBOOKING_INTRO_PHOTO_ALT_TEXT') . '">';
    //text pod fotkou
    if($params->get('show_photo_description', 0))
    {
      echo '<figcaptionclass="jrb-description__image-description">' . $this->photoDescriptionText . '</figcaption>';
    }
    echo '</figure>';
  }

  //pocet dostupnych mist celkem
  if($this->count > 0)
  {
    if($this->count > 1)
    {
      echo '<form id="date_filter" class="jrb-form form-validate" name="date_filter" method="post">';
      echo '<span class="jrb-heading__h1">' . JText::_('COM_JROOMBOOKING_ROOMS_AVAILABLE_COUNT') . $this->filteredCount . '</span>';
      echo '<fieldset>';
      echo '<div class="jrb-form__inputs--flexed">';
      foreach($this->filterForm->getFieldset() as $field)
      {
        echo '<div class="jrb-form__input-wrapper--flexed">';
        echo $field->label;
        echo $field->input;
        echo '</div>';
      }
      echo '</div>';
      echo '</fieldset>';
      echo '<div class="jrb-form__buttons">';
      echo '<button class="jrb-button__primary" type="submit" name="submit">' . JText::_('COM_JROOMBOOKING_FILTER_BUTTON_LABEL') . '</button>';
      echo '<a class="jrb-button__secondary" href="' . JRoute::_('index.php?option=com_jroombooking&task=cancelfilterdate') . '">' .
           JText::_('COM_JROOMBOOKING_FILTER_CANCEL_BUTTON_LABEL') . '</a>';
      echo '</div>';
      echo '<input type="hidden" name="option" value="com_jroombooking" /><input type="hidden" name="task" value="filterdate" />';
      echo JHtml::_('form.token');
      echo '</form>';
    }
    //pagination form
    echo '<form name="adminForm" action="' . JRoute::_('index.php?option=com_jroombooking') . '" method="post">';
    echo '<div class="jrb-room-list">';
    //pagination items
    if($this->filteredCount > 0)
    {
      foreach($this->rooms as $room)
      {
        echo '<div class="jrb-room-list__item">';
        if(isset($room['photo']) && $room['photo'] != '')
        {
          echo '<div class="jrb-room-list__item-image-wrapper">';
          echo '<img class="jrb-room-list__item-image" src="' . JUri::root() . $room['photo'] . '" alt="' . htmlspecialchars($room['name']) . '">';
          echo '</div>';
        }
        echo '<div class="jrb-room-list__item-detail">';
        echo '<h2 class="jrb-heading__h2">' . htmlspecialchars($room['name']) . '</h2>';
        echo '<p class="jrb-room-list__item-description">' . $room['description'] . '</p>';
        echo '<div class="jrb-room-list__item-info">';
        if($room['price'] > 0)
        {
          echo '<span class="jrb-room-list__item-price">' . JText::sprintf('COM_JROOMBOOKING_ROOM_PRICE', htmlspecialchars($room['price']) . ' ' . $this->currencyText) . '</span>';
        }
        echo '<span class="jrb-room-list__item-capacity">' . JText::_('COM_JROOMBOOKING_ROOM_CAPACITY') . $room['max_capacity'] . '</span>';
        echo '</div>';
        echo '<a class="jrb-button__primary" href="' .
             JRoute::_('index.php?option=com_jroombooking&view=reserverequest&task=reserve&room_id=' . $room['id']) . '">' .
             JText::_('COM_JROOMBOOKING_RESERVE_BUTTON_LABEL') . '</a>';
        echo '</div>';
        echo '</div>';
      }
    }
    else
    {
      echo '<span class="jrb-error">' . JText::_('COM_JROOMBOOKING_NO_FILTERED_ROOMS') . '</span>';
    }
    echo '</div>';
    //pagination buttons
    echo $this->pagination->getListFooter();
    echo '</form>';

  }
  else
  {
    echo '<span class="jrb-error">' . JText::_('COM_JROOMBOOKING_NO_ROOMS_AVAILABLE') . '</span>';
  }
  ?>
</section>
