<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 *
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

/**
 * HTML View class for the JRoomBooking Component
 *
 * @since  1.0.0
 */
class JRoomBookingViewJRoomBooking extends JViewLegacy
{

    protected $pagination;
    protected $headingText;
    protected $currencyText;
    protected $params;
    protected $count;
    protected $rooms;
    protected $introPhoto;
    protected $descriptionText;
    protected $photoDescriptionText;
    protected $filteredCount;

    /**
     * Display the JRoomBooking views
     *
     * @param string  $tpl  The name of the template file to parse; automatically searches through the template paths.
     * @return void
     * @since 1.0.0
     */
    function display($tpl = null)
    {
        // Assign data to the views
        $this->pagination = $this->get('Pagination');
        $this->headingText = $this->get('HeadingText');
        $this->currencyText = $this->get('CurrencyText');
        $this->params = JComponentHelper::getParams('com_jroombooking');
        $this->count = $this->get('AvailableRoomsCount');
        $this->filteredCount = $this->get('FilteredRoomsCount');
        $this->rooms = $this->get('Rooms');
        $this->introPhoto = $this->params->get('intro_photo', 'images/com_jroombooking/intro_photo/intro.jpg');
        $this->descriptionText = $this->params->get('description_text', '');
        $this->photoDescriptionText = $this->params->get('photo_description_text', '');
        $this->filterForm    	= $this->get('FilterForm');
        $this->activeFilters 	= $this->get('ActiveFilters');

        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            JLog::add(implode('<br />', $errors), JLog::WARNING, 'jerror');

            return false;
        }

        // Display the views
        parent::display($tpl);

        $this->setDocument();
    }

    protected function setDocument() {
        $document = JFactory::getDocument();
        if ($this->params->get('use_css', 1)) {
            $document->addStyleSheet('components/com_jroombooking/css/style1.css');
        }
        else
        {
          $document->addStyleSheet('components/com_jroombooking/css/style2.css');
        }
    }
}