<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 *
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.keepalive');
JHtml::_('behavior.formvalidator');

?>
<section class="com_jroombooking">
	<form id="reserverequest" class="jrb-form form-validate" name="reserverequest" method="post">
		<?php if(!$this->room) : ?>
    	<span class="jrb-error"><?php echo JText::_('COM_JROOMBOOKING_RESERVER_ERROR') ?></span>
		<?php elseif($this->room->published) : ?>
	    <h1 class="jrb-heading__h1--collapsed"><?php echo $this->heading ?></h1>
      <div class="jrb-item__details">
        <p><?php echo $this->heading2 ?></p>
      </div>
			<?php if($this->room->photo) : ?>
        <div class="jrb-item__image-wrapper">
          <img class="jrb-item__image" src="<?php echo $this->room->photo; ?>">
        </div>
      <?php endif; ?>

    	<?php foreach ($this->form->getFieldsets() as $name => $fieldset): ?>
        <fieldset>
          <div class="jrb-form__inputs">
            <?php foreach ($this->form->getFieldset($name) as $field): ?>
            	<div class="jrb-form__input-wrapper">
              	<?php echo $field->label; ?>
                <?php echo $field->input; ?>
              </div>
            <?php endforeach; ?>
          </div>
        </fieldset>
      <?php endforeach; ?>
			<div class="jrb-form__buttons">
				<a class="jrb-button__secondary" href="<?php echo JRoute::_('index.php?option=com_jroombooking&task=cancel'); ?>"><?php echo JText::_('COM_JROOMBOOKING_RESERVE_BUTTON_CANCEL_LABEL') ?></a>
				<a class="jrb-button__secondary" href="<?php echo JRoute::_('index.php?option=com_jroombooking&view=reserverequest&room_id=' . $this->room->id); ?>"><?php echo JText::_('COM_JROOMBOOKING_RESERVE_BUTTON_BACK_LABEL') ?></a>
				<button class="jrb-button__primary" type="submit" name="submit"><?php echo JText::_('COM_JROOMBOOKING_BUTTON_APPLY_LABEL'); ?></button>
			</div>

      <input type="hidden" name="option" value="com_jroombooking" />
      <input type="hidden" name="task" value="reserveapply.submit" />
      <?php echo JHtml::_('form.token'); ?>
		<?php else: ?>
      <span class="jrb-error"><?php echo JText::_('COM_JROOMBOOKING_RESERVER_ERROR') ?></span>
		<?php endif; ?>
	</form>
</section>
