<?php

defined('_JEXEC') or die('Restricted access');

class plgSystemDocumentCleaner extends JPlugin
{
    protected $app;

    public function __construct($subject, $config = array())
    {
        parent::__construct($subject, $config);

        $this->app = JFactory::getApplication();
    }

    public function onAfterRender()
    {
        if ($this->app->isAdmin()) {
            return;
        }

        $document = JFactory::getApplication()->getBody();
        $document = $this->clean($document);

        JFactory::getApplication()->setBody($document);
    }

    private function clean($document)
    {
        $document = $this->cleanJoomlaBootstrapJs($document);

        return $document;
    }

    private function cleanJoomlaBootstrapJs($document)
    {
        $document = preg_replace('/<script src=".*media\/jui\/js\/bootstrap\.min\.js.*"><\/script>/', '', $document);
        $document = preg_replace('/<script src=".*media\/jui\/js\/bootstrap\.js.*"><\/script>/', '', $document);
        $document = preg_replace('/<script src=".*media\/system\/js\/html5fallback\.js.*"><\/script>/', '', $document);

        return $document;
    }
}