<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 *
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla formrule library
jimport('joomla.form.formrule');

/**
 * Form Rule class for the Joomla Framework.
 *
 * @since 1.0.0
 */
class JFormRulePhone extends JFormRule
{
  /**
   * Prekryti funkce pro validaci vstupu.
   * @param SimpleXMLElement $element
   * @param $value validovana hodnota
   * @param null $group
   * @param JRegistry|null $input
   * @param JForm|null $form
   * @return bool Vysledek validace
   */
  public function test(SimpleXMLElement $element, $value, $group = null, JRegistry $input = null, JForm $form = null)
  {
    // vyraz pro validaci povolenych znaku
    $regexChars = "/^[0-9 \/+\-()]*$/";
    // ziskani poize cislic ze vstpup
    $digits = preg_replace("/\D/", '', $value);
    // vyraz pro validaci poctu cislic ve vstupu
    $regexDigits = "/^[0-9]{6,16}$/";

    return preg_match($regexDigits, $digits) && preg_match($regexChars, $value);
  }
}