<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 *
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');

/**
 * HTML View class for the JRoomBooking Component
 *
 * @since  1.0.0
 */
class JRoomBookingViewReserveRequest extends JViewLegacy
{
    protected $room;
    protected $heading;
    protected $form;
    protected $script;
    
    /**
     * Display the Reserve view
     *
     * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
     *
     * @return  void
     * @since 1.0.0
     */
    function display($tpl = null)
    {
        // Assign data to the view
        $room = $this->get('Room');
        $this->room = $room;
        if ($room) $this->heading = JText::sprintf('COM_JROOMBOOKING_RESERVE_HEADING', $room->name);
        $this->form = $this->get('Form');
        $this->script = $this->get('Script');
        
        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            JLog::add(implode('<br />', $errors), JLog::WARNING, 'jerror');

            return false;
        }
        // Display the views
        parent::display($tpl);

        $this->setDocument();
    }

    /**
     * Method to set up the document properties
     *
     * @return void
     * @since 1.0.0
     */
    protected function setDocument()
    {
        $document = JFactory::getDocument();
        $document->setTitle($this->heading);
        $document->addScript(JURI::root() . $this->script);
        JText::script('COM_JROOMBOOKING_JROOMBOOKING_ERROR_UNACCEPTABLE');
    }

    private function checkAdminEmail() {
        $app	= JFactory::getApplication();
        $app->enqueueMessage('chyba rezervace', 'error');
        $this->setRedirect(JRoute::_('index.php?option=' . $this->input->getString('option'), false));
    }
}