<?php
include_once(dirname(__FILE__) . '/config.php');
?>
<!DOCTYPE html>

<html lang="cs">
    
    <head>
        <script src="<?= $this->baseurl ?>/media/jui/js/jquery.min.js" type="text/javascript"></script>
        <?= $doc->getBuffer('head'); ?>
        <link rel="icon" type="image/png" href="<?= $this->baseurl ?>/templates/jroombooking/images/favicon.png">
        <link rel="shortcut icon" href="<?= $this->baseurl ?>/templates/jroombooking/images/favicon.ico">
        <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0, user-scalable=yes">
    </head>
    
    <body>
        <div class="main">
            <div class="clearfix spacing-md"></div>
            <img src="<?= $this->baseurl ?>/images/headers/logo/logo-ergotep.svg" width="300" alt="Elasti.cr" class="img-responsive center-block">
            <div class="clearfix spacing-xs"></div>
            <main class="main-content footer-spacing">
                <div class="container">
                    <div class="row text-center">
                        <h1 class="header-title"><?= JText::_('TPL_JROOMBOOKING_ERROR_PAGE_TITLE'); ?></h1>
                        <div class="col-sm-8 col-sm-offset-2 header-subtext spacing-sm"><?= JText::_('TPL_JROOMBOOKING_ERROR_PAGE_DESC'); ?></div>
                        <div class="spacing-sm">
                            <a href="<?= JUri::base() ?>" class="btn btn-primary"><?= JText::_('TPL_JROOMBOOKING_ERROR_PAGE_BTN'); ?></a>
                        </div>
                    </div>
                </div>
            </main>
            <?php if (JFactory::getConfig()->get("debug")) : ?>
                <div class="error">
                    <div id="outline">
                        <div id="errorboxoutline">
                            <div id="errorboxheader"><?php echo $this->error->getCode(); ?> - <?php echo htmlspecialchars($this->error->getMessage(), ENT_QUOTES, 'UTF-8'); ?></div>
                            <div id="errorboxbody">
                                <p><strong><?php echo JText::_('JERROR_LAYOUT_NOT_ABLE_TO_VISIT'); ?></strong></p>
                                <ol>
                                    <li><?php echo JText::_('JERROR_LAYOUT_AN_OUT_OF_DATE_BOOKMARK_FAVOURITE'); ?></li>
                                    <li><?php echo JText::_('JERROR_LAYOUT_SEARCH_ENGINE_OUT_OF_DATE_LISTING'); ?></li>
                                    <li><?php echo JText::_('JERROR_LAYOUT_MIS_TYPED_ADDRESS'); ?></li>
                                    <li><?php echo JText::_('JERROR_LAYOUT_YOU_HAVE_NO_ACCESS_TO_THIS_PAGE'); ?></li>
                                    <li><?php echo JText::_('JERROR_LAYOUT_REQUESTED_RESOURCE_WAS_NOT_FOUND'); ?></li>
                                    <li><?php echo JText::_('JERROR_LAYOUT_ERROR_HAS_OCCURRED_WHILE_PROCESSING_YOUR_REQUEST'); ?></li>
                                </ol>
                                <p><strong><?php echo JText::_('JERROR_LAYOUT_PLEASE_TRY_ONE_OF_THE_FOLLOWING_PAGES'); ?></strong></p>
                                <ul>
                                    <li><a href="<?php echo $this->baseurl; ?>/index.php" title="<?php echo JText::_('JERROR_LAYOUT_GO_TO_THE_HOME_PAGE'); ?>"><?php echo JText::_('JERROR_LAYOUT_HOME_PAGE'); ?></a></li>
                                </ul>
                                <p><?php echo JText::_('JERROR_LAYOUT_PLEASE_CONTACT_THE_SYSTEM_ADMINISTRATOR'); ?></p>
                                <div id="techinfo">
                                    <p><?php echo htmlspecialchars($this->error->getMessage(), ENT_QUOTES, 'UTF-8'); ?></p>
                                    <p>
                                        <?php if ($this->debug) : ?>
                                            <?php echo $this->renderBacktrace(); ?>
                                        <?php endif; ?>
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
            <footer class="footer">
                <div class="container">
                     <?= $doc->getBuffer('modules', 'footer-copyright', array('style' => 'grid')); ?>
                </div>
            </footer>
        </div>
    </body>

</html>
