<?php
/**
 * @package     Joomla.Site
 * @subpackage  Templates.beez3
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

function modChrome_moduleDefault($module, &$params, &$attribs)
{
    $blockId = $params->get("header_class") ? " id='" . htmlspecialchars($params->get("header_class"), ENT_QUOTES) . "'" : "";
    if ($module->content) {
        echo '<div class="block"' .$blockId . '><div class="container">';
        if ($module->showtitle) {
            '<h2 class="module-title">' . htmlspecialchars($module->title, ENT_QUOTES) . '</h2>';
        }
        echo $module->content . '</div></div>';
    }
}

function modChrome_moduleDarker($module, &$params, &$attribs)
{
    $blockId = $params->get("header_class") ? " id='" . htmlspecialchars($params->get("header_class"), ENT_QUOTES) . "'" : "";
    if ($module->content) {
        echo '<div class="block block-darker"' .$blockId . '><div class="container">';
        if ($module->showtitle) {
            '<h2 class="module-title">' . htmlspecialchars($module->title, ENT_QUOTES) . '</h2>';
        }
        echo $module->content . '</div></div>';
    }
}

function modChrome_moduleDarkerBG($module, &$params, &$attribs)
{
    $blockId = $params->get("header_class") ? " id='" . htmlspecialchars($params->get("header_class"), ENT_QUOTES) . "'" : "";
    if ($module->content) {
        echo '<div class="block block-darker block-darker-bg"' .$blockId . '><div class="container">';
        if ($module->showtitle) {
            '<h2 class="module-title">' . htmlspecialchars($module->title, ENT_QUOTES) . '</h2>';
        }
        echo $module->content . '</div></div>';
    }
}

function modChrome_moduleLineBG($module, &$params, &$attribs)
{
    $blockId    = $params->get("header_class") ? " id='" . htmlspecialchars($params->get("header_class"), ENT_QUOTES) . "'" : "";
    $blockClass = $params->get("moduleclass_sfx") ? " " . htmlspecialchars($params->get('moduleclass_sfx'), ENT_QUOTES) : "";
    if ($module->content) {
        echo '<div class="block block-line' . $blockClass . '"' .$blockId . '><div class="container">';
        if ($module->showtitle) {
            '<h2 class="module-title">' . htmlspecialchars($module->title, ENT_QUOTES) . '</h2>';
        }
        echo $module->content . '</div></div>';
    }
}

function modChrome_moduleLineFooter($module, &$params, &$attribs)
{
    $blockId    = $params->get("header_class") ? " id='" . htmlspecialchars($params->get("header_class"), ENT_QUOTES) . "'" : "";
    $blockClass = $params->get("moduleclass_sfx") ? " " . htmlspecialchars($params->get('moduleclass_sfx'), ENT_QUOTES) : "";
    if ($module->content) {
        echo '<div class="block block-line block-line-footer block-line-footer-top' . $blockClass . '"' .$blockId . '><div class="container">';
        if ($module->showtitle) {
            '<h2 class="module-title">' . htmlspecialchars($module->title, ENT_QUOTES) . '</h2>';
        }
        echo $module->content . '</div></div>';
    }
}

function modChrome_moduleClean($module, &$params, &$attribs)
{
    if ($module->content) {
        if ($module->showtitle) {
            '<h2 class="module-title">' . htmlspecialchars($module->title, ENT_QUOTES) . '</h2>';
        }
        echo $module->content;
    }
}

function modChrome_moduleParallax($module, &$params, &$attribs)
{
    
    $pallaxImg = $params->get("header_class") ? ' data-parallax="scroll" data-image-src="' . htmlspecialchars($params->get("header_class"), ENT_QUOTES) . '"' : null;
    if ($module->content) {
        echo '<div class="parallax-window"' . $pallaxImg . '>';
        echo '<div class="container">';
        echo '<div class="block block-parallax"';
        if ($module->showtitle) {
            '<h2 class="module-title">' . htmlspecialchars($module->title, ENT_QUOTES) . '</h2>';
        }
        echo $module->content . '</div>';
        echo '</div>';
    }
}