<!DOCTYPE html>
<html>
	<head>
		<jdoc:include type="head"/>
		
		<meta name="viewport" content="width=device-width">
		<link rel="stylesheet" href="templates/<?php echo $this->template ?>/css/index.css">
		<link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
		<script src="js/bootstrap.min.js"></script>
	</head>
	
	<body>
		<div class="container">
			<div id="topbar" class="row navbar-row">
				<section id="logo" class="navbar-header">
					<jdoc:include type="modules" name="logo"/>
				</section>
			</div>
		</div>	
		<nav id="main-menu">
			<div class="container">
				<label class="menu-button" for="hamburger-menu"><span id="hamburger"></span> MENU</label>
				<input id="hamburger-menu" type="checkbox">
				
				<div id="navbar-example" class="collapse navbar-collapse"> 
					<jdoc:include type="modules" name="menu"/>
				</div>
			</div>
		</nav>
		
		<header>
			<?php if ($this->countModules('header')) : ?>
			<jdoc:include type="modules" name="header"/>
			<?php endif; ?>
		</header>
		
		<main id="content" class="container">
			<?php if ($this->countModules('top-a')) : ?>
			<div class="module" position="top A">
				<jdoc:include type="modules" name="top-a"/>
			</div>
			<?php endif; ?>
		</main>
		
		<?php if ($this->countModules('map')) : ?>
		<div class="module" position="map">
			<jdoc:include type="modules" name="map"/>
		</div>
		<?php endif; ?>
		
		<main id="content" class="container">	
			<?php if ($this->countModules('top-b')) : ?>
			<div class="module" position="top B">
				<jdoc:include type="modules" name="top-b"/>
			</div>
			<?php endif; ?>
			
			<?php if ($this->countModules('top-c')) : ?>
			<div class="module" position="top C">
				<jdoc:include type="modules" name="top-c"/>	
			</div>
			<?php endif; ?>
			
			<article>
				<jdoc:include type="component"/>
			</article>
			
			<?php if ($this->countModules('bottom-a')) : ?>
			<div class="module" position="bottom A">
				<jdoc:include type="modules" name="bottom-a"/>
			</div>
			<?php endif; ?>
			
			<?php if ($this->countModules('bottom-b')) : ?>
			<div class="module" position="bottom B">
				<jdoc:include type="modules" name="bottom-b"/>
			</div>
			<?php endif; ?>
			
			<?php if ($this->countModules('bottom-c')) : ?>
			<div class="module" position="bottom C">
				<jdoc:include type="modules" name="bottom-c"/>
			</div>
			<?php endif; ?>
		</main>
		
		<section id="footer">
			<?php if ($this->countModules('top-footer')) : ?>
			<div id="top-footer" position="top footer">
				<jdoc:include type="modules" name="top-footer"/>
			</div>
			<?php endif; ?>
			<footer>
				<jdoc:include type="modules" name="footer"/>
			</footer>
		</section>
	</body>
</html>